Last Comment Bug 835494 - Change to Bug form "form.doc" for developer doc requests: add a "Technical Contact" field
: Change to Bug form "form.doc" for developer doc requests: add a "Technical Co...
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Administration (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-28 11:59 PST by Eric Shepherd [:sheppy]
Modified: 2013-01-30 09:43 PST (History)
5 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Eric Shepherd [:sheppy] 2013-01-28 11:59:16 PST
This doesn't need to be done before we launch the form (it's slated to go out with this week's push), but would be nice to do soon.

We'd like to add a field that would accept the name of a technical contact; the idea is that this would be the contact information for a person that would be able to help with questions related to the documentation being requested (which may be someone other than the filer of the bug). If it could autocomplete like the CC field, that would be fantastic. This field would be optional and its value would go into c#0.
Comment 1 David Lawrence [:dkl] 2013-01-28 13:28:57 PST
https://bugzilla-stage-tip.mozilla.org/form.doc

I have pushed the necessary changes to our test instance for your review.

dkl
Comment 2 Eric Shepherd [:sheppy] 2013-01-29 10:06:42 PST
Two minor tweaks I'd like to request:

1. Can we make the technical contact field validate for email addresses? Let's eliminate the potential problems with random stuff and just have people put an email here.

2. Please add a comment next to the technical contact field to clarify that it's optional. Currently that's not indicated on the form (indeed, the text at the top says that only the development bug isn't mandatory).

Thanks! I appreciate it!
Comment 3 David Lawrence [:dkl] 2013-01-30 08:41:53 PST
https://bugzilla-stage-tip.mozilla.org/form.doc has been update.

dkl
Comment 4 Eric Shepherd [:sheppy] 2013-01-30 08:43:27 PST
Perfect! Thanks!
Comment 5 David Lawrence [:dkl] 2013-01-30 09:43:52 PST
Will be in the next code push, hopefully this week.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0             
modified extensions/BMO/template/en/default/bug/create/comment-doc.txt.tmpl
modified extensions/BMO/template/en/default/bug/create/create-doc.html.tmpl                                                                                   Committed revision 8458

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2             
modified extensions/BMO/template/en/default/bug/create/comment-doc.txt.tmpl
modified extensions/BMO/template/en/default/bug/create/create-doc.html.tmpl                                                                                  Committed revision 8523.

Note You need to log in before you can comment on or make changes to this bug.